#!/bin/bash
set -e

psql -v ON_ERROR_STOP=1 --username "$POSTGRES_USER" --dbname "$POSTGRES_DB" <<-EOSQL
	CREATE USER {{ synapse_postgre_user }};
	CREATE DATABASE {{ synapse_postgre_db_name }};
	ALTER USER {{ synapse_postgre_user }} WITH ENCRYPTED PASSWORD '{{ synapse_postgre_user_password }}';
	GRANT ALL PRIVILEGES ON DATABASE {{ synapse_postgre_db_name }} TO {{ synapse_postgre_user }};
	ALTER DATABASE {{ synapse_postgre_db_name }} OWNER TO {{ synapse_postgre_user }};
EOSQL
BACKUP_FILE=/tmp/backup/backup.sql
psql -U {{ synapse_postgre_user }} -d {{ synapse_postgre_db_name }} < $BACKUP_FILE
